"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const chalk_1 = __importDefault(require("chalk"));
const colorful = (flag) => {
    switch (flag) {
        case LOG_FLAG.INFO:
            return chalk_1.default.greenBright;
        case LOG_FLAG.WARNING:
            return chalk_1.default.yellowBright;
        case LOG_FLAG.ERROR:
            return chalk_1.default.redBright;
    }
};
var LOG_FLAG;
(function (LOG_FLAG) {
    LOG_FLAG["INFO"] = "info";
    LOG_FLAG["WARNING"] = "warning";
    LOG_FLAG["ERROR"] = "error";
})(LOG_FLAG || (LOG_FLAG = {}));
class Logger {
    constructor(prefix) {
        this.prefix = prefix;
    }
    info(msg) {
        this.log(LOG_FLAG.INFO, msg);
    }
    warning(msg) {
        this.log(LOG_FLAG.WARNING, msg);
    }
    error(msg) {
        this.log(LOG_FLAG.ERROR, msg);
    }
    log(flag, msg) {
        console.log(colorful(flag)(`[${this.prefix}:${flag}]`), msg);
    }
}
exports.logger = new Logger('vite-plugin-faker');
